| OpenMS 2.5.0

ImageCreator

Transforms an LC-MS map into a png image.

The input is first resampled into a matrix using bilinear forward resampling. Then the content of the matrix is written to an image file. The output has a uniform spacing in both dimensions regardless of the input.

The command line parameters of this tool are:

    ImageCreator -- Transforms an LC-MS map into an image.

    Full documentation: http://www.openms.de/documentation/UTILS_ImageCreator.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      ImageCreator <options>

    Options (mandatory options marked with '*'):

      -in <file>*                Input file  (valid formats: 'mzML')

      -in_featureXML <file>      Input file  (valid formats: 'featureXML')

      -out <file>*               Output file (valid formats: 'png', 'jpg', 'bmp', 'tiff', 'ppm')

      -out_type <file type>      The image format. Set this if you want to force a format not reflected by the

                                 'out' filename. (valid: 'png', 'jpg', 'bmp', 'tiff', 'ppm')

      -rt [min]:[max]            Retention time range to extract (default: ':')

      -mz [min]:[max]            Mass-to-charge range to extract (default: ':')

      -width <number>            Number of pixels in m/z dimension.

                                 If 0, one pixel per Th. (default: '1024' min: '0')

      -height <number>           Number of pixels in RT dimension.

                                 If 0, one pixel per spectrum. (default: '1024' min: '0')

      -background_color <color>  Background color e.g.: "#FF0000" to choose red as background color (default:

                                 '#FFFFFF')

      -feature_color <color>     Feature color e.g.: "#00FF00" to choose green as feature color (default: '#00000

                                 0')

      -gradient <gradient>       Intensity gradient that defines colors for the range between 0 and 100.

                                 Example: '0,#FFFFFF;50,#FF0000;100,#000000'

      -max_intensity <int>       Maximum peak intensity used to determine range for colors.

                                 If 0, this is determined from the data. (default: '0.0')

      -log_intensity             Apply logarithm to intensity values

      -transpose                 Flag to transpose the resampled matrix (RT vs. m/z).

                                 Per default, dimensions run bottom-up in RT and left-right in m/z.

      -precursors                Mark locations of MS2 precursors.

      -precursor_color <color>   Color for precursor marks (color code or word, e.g. 'black') (requires 'precurso

                                 rs' flag to be active) (default: '#000000')

      -precursor_size <number>   Size of the precursor marks (requires 'precursors' flag to be active) (default:

                                 '2' min: '1' max: '3')

    Common UTIL options:

      -ini <file>                Use the given TOPP INI file

      -threads <n>               Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>          Writes the default configuration file

      --help                     Shows options

      --helphelp                 Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+ImageCreator Transforms an LC-MS map into an image.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'ImageCreator'
in input file input file*.mzML
in_featureXML input file input file*.featureXML
out output file output file*.png,*.jpg,*.bmp,*.tiff,*.ppm
out_type The image format. Set this if you want to force a format not reflected by the 'out' filename.png,jpg,bmp,tiff,ppm
rt: Retention time range to extract
mz: Mass-to-charge range to extract
width 1024 Number of pixels in m/z dimension.
If 0, one pixel per Th.0:∞
height 1024 Number of pixels in RT dimension.
If 0, one pixel per spectrum.0:∞
background_color#FFFFFF Background color e.g.: "#FF0000" to choose red as background color
feature_color#000000 Feature color e.g.: "#00FF00" to choose green as feature color
gradient Intensity gradient that defines colors for the range between 0 and 100.
Example: '0,#FFFFFF;50,#FF0000;100,#000000'
max_intensity 0.0 Maximum peak intensity used to determine range for colors.
If 0, this is determined from the data.
log_intensity false Apply logarithm to intensity values true,false
transpose false flag to transpose the resampled matrix (RT vs. m/z).
Per default, dimensions run bottom-up in RT and left-right in m/z.true,false
precursors false Mark locations of MS2 precursors.
true,false
precursor_color#000000 Color for precursor marks (color code or word, e.g. 'black') (requires 'precursors' flag to be active)
precursor_size 2 Size of the precursor marks (requires 'precursors' flag to be active)1:3
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false